const unsigned long PIR_code=5931135;
const unsigned long ZAP_1ON_code=4478259;
const unsigned long ZAP_1OFF_code=4478268;
const unsigned long ZAP_2ON_code=4478403;
const unsigned long ZAP_2OFF_code=4478412;
const unsigned long ZAP_3ON_code=4478723;
const unsigned long ZAP_3OFF_code=4478732;
const unsigned long BunkerHillPIR_code=8328319;
const unsigned long DoorMagnet_code=398089;
const unsigned long FobRemoteLock_code=6191604;
const unsigned long FobRemoteUnLock_code=6191602;
const unsigned long FobRemoteSilent_code=6191601;
const unsigned long FobRemotePanic_code=6191608;
const unsigned long WaterSensor_code=3263177; 
const unsigned long VibrationSensor_code=312656; 
const unsigned long Doorbell_code=5526853;
const unsigned long DRC_01_code=5592323;
const unsigned long DRC_02_code=5592332;
const unsigned long DRC_03_code=5592335;
const unsigned long DRC_04_code=5592368;
const unsigned long DRC_05_code=5592371;
const unsigned long DRC_06_code=5592380;
const unsigned long DRC_07_code=5592383;
const unsigned long DRC_08_code=5592512;
const unsigned long DRC_09_code=5592515;
const unsigned long DRC_10_code=5592524;
const unsigned long DRC_11_code=5592527;
const unsigned long DRC_12_code=5592560;

void rh433loop() {
 if (rxSwitch.available()) {
   
   unsigned long rx_code = rxSwitch.getReceivedValue();
   unsigned int rx_length = rxSwitch.getReceivedBitlength();
   unsigned int rx_pulselength = rxSwitch.getReceivedDelay();
   unsigned int rx_protocol = rxSwitch.getReceivedProtocol();
   
   if (lastcode != rx_code) {
     switch (rx_code) {
        case PIR_code:   
          printcode(rx_code);
          break;
        case ZAP_1ON_code:    
          printcode(rx_code);
          break;
        case ZAP_1OFF_code:    
          printcode(rx_code);
          break;
        case ZAP_2ON_code:    
          printcode(rx_code);
          break;
        case ZAP_2OFF_code:    
          printcode(rx_code);
          break;
        case ZAP_3ON_code:    
          printcode(rx_code);
          break;
        case ZAP_3OFF_code:    
          printcode(rx_code);
          break;
        case BunkerHillPIR_code:
          printcode(rx_code);
          break;
        case DoorMagnet_code:
          printcode(rx_code);
          break;
        case FobRemoteLock_code:
          printcode(rx_code);
          break;
        case FobRemoteUnLock_code:
          printcode(rx_code);
          break;
        case FobRemoteSilent_code:
          printcode(rx_code);
          break;
        case FobRemotePanic_code:
          printcode(rx_code);
          break;
        case WaterSensor_code:
          printcode(rx_code);
          break;
        case VibrationSensor_code:
          printcode(rx_code);
          break;
        case Doorbell_code:
          printcode(rx_code);
          break;
        case DRC_01_code:
          printcode(rx_code);
          break;
        case DRC_02_code:
          printcode(rx_code);
          break;
        case DRC_03_code:
          printcode(rx_code);
          break;
        case DRC_04_code:
          printcode(rx_code);
          break;
        case DRC_05_code:
          printcode(rx_code);
          break;
        case DRC_06_code:
          printcode(rx_code);
          break;
        case DRC_07_code:
          printcode(rx_code);
          break;
        case DRC_08_code:
          printcode(rx_code);
          break;
        case DRC_09_code:
          printcode(rx_code);
          break;
        case DRC_10_code:
          printcode(rx_code);
          break;
        case DRC_11_code:
          printcode(rx_code);
          break;
        case DRC_12_code:
          printcode(rx_code);
          break;
        default:
          Serial.print("Unknown ");
          Serial.println(rx_code);
          Serial.print("Size:  ");
          Serial.print(rx_length);
          Serial.print("bits Pulse Length: ");
          Serial.print(rx_pulselength);
          Serial.print("ms Protocol: ");
          Serial.println(rx_protocol);
     };  // End of Case
     lastcode = rx_code;
     lastDebounceTime = millis();
   }; // End of if lastcode clause
   
   rxSwitch.resetAvailable();
  }; // End of rxSwitch available
}

void printcode(unsigned long value) {
  String message = String(value);
  Serial.print("Received ");
  Serial.println(value);
}


